<?php
 /**
  * This template is used to print a single field in a view. It is not
  * actually used in default Views, as this is registered as a theme
  * function which has better performance. For single overrides, the
  * template is perfectly okay.
  *
  * Variables available:
  * - $view: The view object
  * - $field: The field handler object that can process the input
  * - $row: The raw SQL result that can be used
  * - $output: The processed output that will normally be used.
  *
  * When fetching output from the $row, this construct should be used:
  * $data = $row->{$field->field_alias}
  *
  * The above will guarantee that you'll always get the correct data,
  * regardless of any changes in the aliasing that might happen if
  * the view is modified.
  */

$node = node_load($row->nid);
// Image
if ($node->field_collection_thumbnail[0]['filepath']) {
  // Channel image is local file.
  $file = $node->field_collection_thumbnail[0];
  $image_url = url($file['filepath'], array('absolute' => TRUE));
}
else {
  // Channel image is defined by URL.
  $image_url = $node->field_image[0]['url'];
}
if ($image_url != '') {
  print "<div><a href='$image_url'><img src='$image_url'></a></div>";
}
else {
  print "<div><img nosrc/></div>";
}
